JeremX’s App 1.50 mis à jour !

JeremX’s App a été mis à jour. Au programme, beaucoup de modifications et de nouvelles fonctionnalités ajoutées…🙂

J’ai passé beaucoup de temps sur la version 1.50 et je suis assez content du résultat. Il y a encore pleins de fonctions que je veux rajouter mais cela viendra petit à petit.

Les nouveautés et modifications sont:

  • Ajout d’un message au démarrage de l’application
  • Ajout d’une horloge tirée du SDK sur la page d’accueil
  • Page des “Remerciements” et “A propos” scrollables pour certains téléphones
  • Possibilité de partager l’application via SMS / E-Mail / Réseaux sociaux
  • Modifications graphiques
  • Ajout d’un bouton pour accéder au menu “Wi-Fi”
  • Ajout de l’accès au Blog et aux wallpapers depuis l’écran principal
  • Ajout de l’heure (hh:mm:ss)
  • Pourcentage batterie
  • Possibilité de rafraîchir l’application
  • Nettoyage du code

L’ancienne interface…

L’interface de la version 1.50…

Dans une prochaine mise à jour, je vais essayer de régler un problème au niveau du rafraîchissement  de l’application, afin que l’utilisateur retourne automatiquement à l’écran principal et non au splashscreen. Je vais travailler aussi sur un widget multifonction et un accès au changelog afin de savoir ce qui est disponible à chaque mise à jour depuis l’application et la page des wallpapers sera remplacée par une gallerie d’image in-app.  D’autres fonctionnalités surprises seront de mises ce qui fera de JeremX’s App une boite à outils parfaite pour tout utilisateur d’Android.

Si vous appuyez sur l’icône à droite de celle des wallpapers, vous verrez ce message s’afficher:

C’est en appuyant dessus que vous aurez accès aux divers outils que je vais mettre en place dans les prochaines mises à jour.😉

Rappel: Le programme est uniquement compatible à partir d’Android 2.2. Je le rendrai compatible en dessous dans de prochaines mises à jour.

Télécharger l’application

Si vous ne savez pas comment installer l’application, voici un tutoriel: [Tutoriel] Installer un *.apk sur son téléphone Android

Remarque: L’application ne marche pas à partir de Android 2.3.4. Je ne sais pour quelle raison… Merci à Maicka de me l’avoir signalé via les commentaires de l’article. Cela devrait être corrigé dans une prochaine version…

13 réflexions au sujet de « JeremX’s App 1.50 mis à jour ! »

    1. JeremX Auteur de l’article

      Bonjour Maicka,
      merci de m’avoir signalé ce problème. J’ai fait une petite modification qui devrait résoudre le problème, mais je n’en suis pas sûr du tout. J’ai testé l’application avec 3 émulateurs différents: Un sous Android 2.2 et les deux autres sous Android 2.3.1 et 2.3.3. Cela a fonctionné sur les 3. Sur cette page de Google: http://developer.android.com/guide/appendix/api-levels.html on voit que Android 2.3.3 et 2.3.4 ont le même level. Et celui de Android 2.3.5 n’apparait pas (donc je ne peux pas tester sur un émulateur). Au dessus de l’API de niveau 10 on rentre dans la catégorie HoneyComb donc pour tablette et non smartphone… J’ai donc légèrement modifié l’un des fichiers et j’ai mis comme valeur maximale un API de niveau 10.
      Est-ce que tu avais un message d’erreur lors de l’installation ou de
      l’ouverture de l’application? Sais-tu s’il y a des problèmes de compatibilité avec cette ROM? J’ai uploadé une autre version qui devrait résoudre le problème: http://www.zapaweb.com/clic/script.php?id=jeremx&sncpt=4

      Pourrais-tu me dire si cela fonctionne s’il te plait?🙂
      PS: Pas grave pour le triple-post. ^^

      Répondre
      1. Maicka

        Ah ok pour l’API.comme la 2.3.5 originale n’etait que pour que le nexus s 4g (et comme la 2.3.6 récente sur les n1 et s européen) je pensais que c’etait pas le level honeycom.
        Non pas de message d’erreur quand j’ouvre l’appli.juste l’icone et en subrillance pendant 1 sec et rien.voila ;p

        Répondre
      2. Maicka

        J’ai installé la version que tu a ré uploadé ca marche toujours pas oops ;(

        Peut etre cela vien de la rom je sais pas (pourtant basé sur cuyanogen 7)

        Répondre
        1. JeremX Auteur de l’article

          Je pense que le soucis vient de la ROM. Je n’en suis pas sûr, je ne suis pas un pro des ROMs custom mais quand une application est codée on indique la compatibilité minimale et non maximale (j’ai rajouté une compatibilité maximale en faite dans la mise à jour que j’ai uploadée pour que le 2.3.5 soit accepté peut-être). Après, le problème peut en effet venir de l’application mais je ne vois pas d’erreur et le programme (Éclipse) ne m’en indique pas non plus. :-s Peut-être que cela peut marcher avec la version 1.00. Si ça marche, alors ça devrait être mon application qui bug…

          Répondre
  1. Maicka

    Oui peut etre que c’est la rom.Ca fait 1 semaine que j’ai flashé mais toutes les appli marchent dessus.
    A moins que cela vienne du kernel pré installé de la rom qui est le 2.6.38.8 je sais pas:/

    Bah je vais voir car ce kernel a l’air assez gourmand en batterie je verrai si je change de rom mais surement !

    Répondre
    1. JeremX Auteur de l’article

      Ce qui est bizarre aussi, c’est qu’elle ne se lance même pas. Logiquement, il devrait y avoir écrit: « Fermeture soudaine de l’application JeremXs App […]. Merci de réessayer. »😕 Merci en tout cas de me l’avoir signalé.😉 Pourrais-tu me tenir au courant s’il te plait?🙂

      Répondre
  2. Maicka

    hey ! bah j’ai changé la rom du coup. trop gourmande en batterie et des lag inopiné bizarre. je suis revenu au cycle cyanogen 7 (nightly mis a jour tres souvent)

    Je te tien au jus😉

    Répondre
  3. Maicka

    Salut.
    Bon je pense que le souci vient du numéro de version et d’api.

    Bahh j’aurai du mettre la version 7 rc1 basé sur android 2.3.4

    Et la je me retrove avec une rom tres stable certe mais avec du android 2.3.7

    Répondre
    1. JeremX Auteur de l’article

      Salut,
      je suis désolé que cela ne marche pas sur ton smartphone mais je ne vois vraiment pas d’où peut venir cette incompatibilité si ce n’est le niveau de l’API (et encore…).😕 Je vais continuer mes recherches et voir si une solution est disponible. Merci en tout cas pour les tests et de me l’avoir signalé.🙂

      Répondre
      1. Maicka

        Oui pas de souci pour les test !

        Merci de continuer a chercher c’est sympa.mais te prends pas le chou aussi ^^

        Lundi je reprends le boulot je testerai l’appli sur le nexus s de ma collegue de taf. ( je suis vendeur en téléphonie(tout operateur) donc ya du smartphone pour test😀

        Répondre
  4. JeremX Auteur de l’article

    Je dois chercher d’où vient ce problème parce que d’une part, je veux proposer une application qui ait le moins de problème possible et d’une autre parce que ça me tracasse. ^^

    Ça doit être sympa vendeur en téléphonie, toutes les dernières nouveautés.😛 Merci pour les tests, c’est super sympa.🙂

    D’ailleurs, je viens de voir chez Google que l’API de niveau 10 va de Android 2.3.3 à 2.3.7. http://developer.android.com/resources/dashboard/platform-versions.html Donc dans la logique, sur une ROM officielle, ça devrait tourner. Ou alors, c’est sûr que c’est mon application qui bug mais où……. ^^

    Répondre

Laisser un commentaire

Entrez vos coordonnées ci-dessous ou cliquez sur une icône pour vous connecter:

Logo WordPress.com

Vous commentez à l'aide de votre compte WordPress.com. Déconnexion / Changer )

Image Twitter

Vous commentez à l'aide de votre compte Twitter. Déconnexion / Changer )

Photo Facebook

Vous commentez à l'aide de votre compte Facebook. Déconnexion / Changer )

Photo Google+

Vous commentez à l'aide de votre compte Google+. Déconnexion / Changer )

Connexion à %s